Summary: NFS server daemons
Name: nfs-server
Version: 2.2beta47
Release: 0
Copyright: GPL
Group: Networking/Daemons
Source0: ftp://linux.mathematik.tu-darmstadt.de/pub/linux/people/okir/nfs-server-%{version}.tar.gz
Source1: nfs.init
Source2: exportfs
Patch0: nfs-server-2.2beta43-glibc.patch
Patch1: nfs-server-2.2beta36-redhat.patch
Patch2: nfs-server-2.2beta37-sigpwr.patch
Patch3: nfs-server-2.2beta47-misc.patch
Patch4: nfs-server-2.2beta37-alpha.patch
Requires: portmap
Buildroot: /var/tmp/%{name}-root
Packager: Frank Meurer <meurer@gmx.de>

%description
The NFS and mount daemons are used to create an NFS server which
can export filesystems to other machines.  This package is not
needed to mount NFS filesystems -- that functionality is already
in the Linux kernel.


%package clients
Summary: client apps for use with remote NFS servers
Group: Networking/Admin

%description clients
This package contains client programs that interact with NFS servers.
It is not needed to mount NFS volumes.  At the moment the only program
in it is showmount, which can be used to show exported and mounted
filesystems.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .glibc
%patch1 -p1 -b .redhat
%patch2 -p1 -b .sigpwr
%patch3 -p1 -b .misc
%patch4 -p1 -b .alpha

%build
echo | ./BUILD --nis=yes --hosts-access=yes --libwrap-directory=/usr/lib \
	--exports-uid=0 --exports-gid=0 --log-mounts=yes \
	--ugidd=no --multi=no
make CFLAGS="$RPM_OPT_FLAGS" 

%install

make prefix=$RPM_BUILD_ROOT/usr install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc1.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc2.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc4.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc5.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc6.d
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

strip $RPM_BUILD_ROOT/usr/sbin/rpc.mountd
strip $RPM_BUILD_ROOT/usr/sbin/rpc.nfsd 
strip $RPM_BUILD_ROOT/usr/sbin/showmount
touch $RPM_BUILD_ROOT/etc/exports
chmod 644 $RPM_BUILD_ROOT/etc/exports

install -m755 -o root -g root $RPM_SOURCE_DIR/nfs.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K20nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K20nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K20nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S60nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S60nfs
ln -sf ../init.d/nfs $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K20nfs

install -m755 -o 0 -g 0 $RPM_SOURCE_DIR/exportfs $RPM_BUILD_ROOT/usr/sbin/exportfs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc NEWS README
%config /etc/exports

%config /etc/rc.d/init.d/nfs
%config(missingok) /etc/rc.d/rc0.d/K20nfs
%config(missingok) /etc/rc.d/rc1.d/K20nfs
%config(missingok) /etc/rc.d/rc2.d/K20nfs
%config(missingok) /etc/rc.d/rc3.d/S60nfs
%config(missingok) /etc/rc.d/rc5.d/S60nfs
%config(missingok) /etc/rc.d/rc6.d/K20nfs

/usr/sbin/rpc.mountd
/usr/sbin/rpc.nfsd
/usr/sbin/exportfs
/usr/man/man5/exports.5
/usr/man/man8/mountd.8
/usr/man/man8/nfsd.8

%files clients
/usr/sbin/showmount
/usr/man/man8/showmount.8

%changelog
* Sat Oct  6 2001 Frank Meurer <meurer@gmx.de>
- Linux/mac68k

* Wed Nov 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2beta47

* Thu Aug 26 1999 Jeff Johnson <jbj@redhat.com>
- don't segfault on unknown host (#4545).

* Fri Jun 18 1999 Jeff Johnson <jbj@redhat.com>
- 2.2beta44

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- version beta40

* Wed Jan 13 1999 Jeff Johnson <jbj@redhat.com>
- FreeBSD clients end up with 0 length files (#825).

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.2beta37

* Thu Aug 27 1998 Cristian Gafton <gafton@redhat.com>
- fixed Erik's errno patch
- security fix

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 23 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscript

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan build
- updated the glibc patch

* Thu Oct 30 1997 Donnie Barnes <djb@redhat.com>
- added missingok tags to initscript symlinks

* Tue Oct 21 1997 Erik Troan <ewt@redhat.com>
- updated to 2.2beta29
- added chkconfig support
- added status and restart to initscript

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
- fixed typo in description of the clients subpackage.

